Subject: Re: Conclusion of RADEXT WG call for consensus poll for IANA #409959 NAS-Port-Type value request

From: Klaas Wierenga <[email-masked]>
Date: Mon, 11 Jul 2011 10:56:18 +0200

Mauricio, Dan,

Is it too much to expect a response to my e-mail? It is not even that I
care *that* much about the issue at hand, but I find the style of
communication (or rather the lack thereof) extremely disappointing.....

Klaas

On 6/26/11 2:25 PM, Klaas Wierenga wrote:
> On 6/24/11 9:42 PM, Sanchez, Mauricio (HP Networking) wrote:
> 
> Mauricio,
> 
> I find this procedure rather odd. I think at the very least you
> should have forwarded the replies to the proper list before the poll
> closed. Far be it from me to suggest any conspiracy, but I find it
> inappropriate to come up with a rabbit from the hat trick after the
> poll has closed. I thought consensus was gauged on the list, not at
> some private alias? I have seen no discussion on the list, apart from
> Avi's responses (thanks for that!), where do all these people all of
> a sudden come from? And does it matter what company they represent? I
> was under the impression that "we are all individuals".....
> 
> Can I ask for some more openness in future consensus polls?
> 
> Klaas (who is ashamed that after expressing his opinion in the
> meeting, then on the list, he missed the final consensus call)
> 
> 
>> After discussion between current chairs and AD, the conclusion we 
>> have reached is to approve this request as we believe rough
>> consensus for approval has been achieved.  The situation is bit
>> peculiar in that a number of industry individuals expressed
>> themselves in favor of approving the request, but sent their email
>> to the incorrect email address ([email-masked] rather
>> than [email-masked]).  I have attached the emails for all
>> those individuals who used the incorrect address.
> 
>> The chairs appreciate the spirited conversation arising from this 
>> topic and do agree with the long-term RADIUS experts that these
>> new types are not entirely in-line given the definition and past
>> usage of the attribute.   However, the chairs feel the misalignment
>> between these new types and the attribute definition is not
>> sufficiently large to warrant disallowing the allocation.  We also
>> took into account the industry support for immediate usage of these
>> types into account.
> 
>> So as to improve the usability of these new values, we will be
>> asking IANA to include references to the appropriate WiMAX
>> standards (and sections if available) in the IANA registry.   Avi:
>> We'd appreciate your assistance in getting us the right information
>> to include.
> 
>> If after this decision the WG would like to continue exploring a 
>> generalized solution to similar use cases, the chairs and AD are 
>> supportive.
> 
>> -MS
> 
>> --------------------------------------------------------------------------------------------------
>
>>  Final count In Favor Clearwire - Dave McGiniss, David Holmes ZTE
>> - Chu Li Alcatel - Pertez Feder Intel - Muthiah Venkatachala Huawei
>> - Ronal Mao Samsun - Jungshin Park NSN - Seyeedi Shahab Sprint -
>> Mark Lipford, Brent Hirschman Bridgewater - Avi Lior
> 
>> Opposed Alan DeKok Stefan Winter Bernard Aboba Dave Nelson
> 
> 
> -- to unsubscribe send a message to [email-masked]
> with the word 'unsubscribe' in a single line as the message text
> body. archive: <http://psg.com/lists/radiusext/>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

---

From: Alan DeKok <[email-masked]>
Date: Mon, 11 Jul 2011 11:04:17 +0200

> communication (or rather the lack thereof) extremely disappointing.....

  I concur.

  I'd like to appeal the decision.

  Alan DeKok.

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 11 Jul 2011 11:50:10 +0200

Hi Mauricio, 

I believe that Klaas has a point here. As WG chair you and/or your
co-chair should respond to Klaas's mail and address his concerns about
the way the consensus call was conducted.
 
Thanks and Regards,

Dan 

> -----Original Message-----
> From: Klaas Wierenga [mailto:[email-masked]]
> Sent: Monday, July 11, 2011 11:56 AM
> To: Sanchez, Mauricio (HP Networking); Romascanu, Dan (Dan)
> Cc: [email-masked]'
> Subject: Re: Conclusion of RADEXT WG call for consensus poll for IANA
> #409959 NAS-Port-Type value request
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Mauricio, Dan,
> 
--------------------------------------------------------------------
> ------------------------------
> >
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG/MacGPG2 v2.0.14 (Darwin)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
> 
> iEYEARECAAYFAk4aurEACgkQH2Wy/p4XeFJqngCfXBDweUhBoECg7CnT1VQQk69z
> Kc0AoKbsOhLXz1HhrKZpNnn6roZaZpIK
> =pNbq
> -----END PGP SIGNATURE-----

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 11 Jul 2011 11:55:24 +0200

Hi Alan, 

If this is a formal appeal to the WG chairs, please formulate it in a
more detailed manner. I recommend that you read RFC 2026, section 6.5,
and especially 6.5.1 and 6.5.4 to start with. 

As per 6.5.4: 

>    All appeals must include a detailed and specific description of the
     facts of the dispute.
 
Thanks and Regards,

Dan 

> From: Alan DeKok [mailto:[email-masked]]
> Sent: Monday, July 11, 2011 12:04 PM
> To: Klaas Wierenga
> Cc: Sanchez, Mauricio (HP Networking); Romascanu, Dan (Dan);
> [email-masked]'
> Subject: APPEAL: Re: Conclusion of RADEXT WG call for consensus poll
> for IANA #409959 NAS-Port-Type value request
> 
> Klaas Wierenga wrote:
> > Is it too much to expect a response to my e-mail? It is not even
that
> I

---

From: Klaas Wierenga <[email-masked]>
Date: Mon, 11 Jul 2011 16:23:53 +0200

Hi Dave,

> It appears to me that the only thing that is in dispute is the
> process issue of accepting comments not properly received on the
> RADEXT WG email list, and forwarded to the list as part of the
> decision announcement.

true, and the unwillingness of the chair to respond to critique and
questions...

> Now, it's true that old-time IETF'ers tend to disdain "flash mob 
> voting", meaning a flurry of postings from individuals outside the
> WG core membership, at the behest of the proponent of a particular 
> proposal.  That appears to have been the case here, and explains why 
> postings were sent to the "request" address, rather that the list 
> itself.  However, I don't believe that this form of input is 
> officially distinguished from any other form input under the IETF
> process.

ehm, I am not so sure about that. The request address is *not* a public
address, and as such is different from the radext mailing list or a
statement at the IETF meeting. If the chair can at his discretion pull
out extra votes (why was my objection for example not noted, after all
it is in the minutes of the IETF meeting?)

> What's been demonstrated is that there are numerically more
> supporters of this particular proposal outside the core RADEXT WG (or
> IETF) than opponents to it inside the core RADEXT WG.  Given that 
> this proposal have been languishing for quite some time, perhaps we
> need to let it slide.  While I agree that the usage in this proposal
> not good

I don't mind letting it slide, if you read my earlier message, I just
asked Mauricio to in the future refrain from these practises and at the
very least forward the messages prior to the close of the call (hey, I
might want to organize my own "flash mob" if that is the new style ;-)
I was willing to put this on the chairs inexperience, and a simple
apology and promise not to use these shady tactics in the future would
have made me perfectly happy. Our chair however decided to completely
ignore any voices of concern. I find that rather insulting to those that
do show up at the meetings and discuss on the mailing list.

> RADIUS "form", the suggested alternatives all require the
> specification of a new RADIUS attribute.  That would have been a good
> path to follow when the reuest was initially presented.

Indeed

Klaas

> 
> Regards,
> 
> Dave
> 
> David B. Nelson Sr. Software Architect Elbrys Networks, Inc. 
> www.elbrys.com <http://www.elbrys.com> +1.603.570.2636

---

From: "Sanchez, Mauricio (HP Networking)" <[email-masked]>
Date: Wed, 13 Jul 2011 18:30:50 +0100

Klaas,

It was during discussion between the chairs and AD after the close of the poll that we determined that responses had not been sent to the correct email.  I was copied directly on each email, so I didn't notice that emails were going to the incorrect address during the polling period.  Otherwise, I would have immediately forwarded emails to the email list.  This point of emails not going to the correct email was discussed between chairs and AD and for just this particular request and situation, we decided that we would count the approvals sent to incorrect email as part of establishing  rough consensus to approve the request.  Moreover, we, the chairs and AD, felt that given (a)the minor misalignment between these new types and the attribute definition and (b) the industry support for this request, that we could proceed forward.   

You are right that it doesn't matter what companies individuals represent.  I included company names purely as informational and should not be interpreted in any way. 

For this particular consensus poll, we actually went through two consensus polling periods.  The first was on April 4 and the second was on May 17.   We did the second because the first was inconclusive.  Did you not receive both?

The chairs and AD have the good intentions of RADEXT in mind and we will definitely keep the group appropriately engaged moving forward.  

-MS 

-----Original Message-----
From: Klaas Wierenga [mailto:[email-masked]] 
Sent: Sunday, June 26, 2011 5:26 AM
To: Sanchez, Mauricio (HP Networking)
Cc: [email-masked]'
Subject: Re: Conclusion of RADEXT WG call for consensus poll for IANA #409959 NAS-Port-Type value request

Mauricio,

I find this procedure rather odd. I think at the very least you should have forwarded the replies to the proper list before the poll closed.
Far be it from me to suggest any conspiracy, but I find it inappropriate to come up with a rabbit from the hat trick after the poll has closed. I thought consensus was gauged on the list, not at some private alias?
I have seen no discussion on the list, apart from Avi's responses (thanks for that!), where do all these people all of a sudden come from?
And does it matter what company they represent? I was under the impression that "we are all individuals".....

Klaas (who is ashamed that after expressing his opinion in the meeting, then on the list, he missed the final consensus call)

> After discussion between current chairs and AD, the conclusion we have 
> reached is to approve this request as we believe rough consensus for 
> approval has been achieved.  The situation is bit peculiar in that a 
> number of industry individuals expressed themselves in favor of 
> approving the request, but sent their email to the incorrect email 
> address ([email-masked] rather than 
> [email-masked]).  I have attached the emails for all those 
> individuals who used the incorrect address.
> 
> topic and do agree with the long-term RADIUS experts that these new 
> types are not entirely in-line given the definition and past usage of
> the attribute.   However, the chairs feel the misalignment between
> these new types and the attribute definition is not sufficiently large 
> to warrant disallowing the allocation.  We also took into account the 
> industry support for immediate usage of these types into account.
> 
> So as to improve the usability of these new values, we will be asking 
> IANA to include references to the appropriate WiMAX standards (and
> sections if available) in the IANA registry.   Avi: We'd appreciate
> your assistance in getting us the right information to include.
> 
>  Final count In Favor Clearwire - Dave McGiniss, David Holmes ZTE - 
> Chu Li Alcatel - Pertez Feder Intel - Muthiah Venkatachala Huawei - 
> Ronal Mao Samsun - Jungshin Park NSN - Seyeedi Shahab Sprint - Mark 
> Lipford, Brent Hirschman Bridgewater - Avi Lior
>

---

From: "Sanchez, Mauricio (HP Networking)" <[email-masked]>
Date: Wed, 13 Jul 2011 18:50:13 +0100

As I stated in my previous message, this situation of incorrect list address usage was discussed between the chairs and the AD.  Given the fact that this proposal had been languishing for some time, that the request wasn't an egregious violation of RADIUS, alternatives would require a new attribute, industry was waiting for an answer from RADEXT, the chairs and AD felt that we could proceed forward in counting these non-standard votes of approval.  There are times to be pedantic and times where we should not be, and so we made the call to let this one "slide".

Unless the AD has different guidance, I intend to be stricter in future instances and not let non-standard votes be considered.

-MS

From: Dave Nelson [mailto:[email-masked]]
Sent: Monday, July 11, 2011 6:45 AM
To: Romascanu, Dan (Dan)
Cc: Alan DeKok; Klaas Wierenga; Sanchez, Mauricio (HP Networking); [email-masked]
Subject: Re: APPEAL: Re: Conclusion of RADEXT WG call for consensus poll for IANA #409959 NAS-Port-Type value request

>    All appeals must include a detailed and specific description of the

It appears to me that the only thing that is in dispute is the process issue of accepting comments not properly received on the RADEXT WG email list, and forwarded to the list as part of the decision announcement.

Now, it's true that old-time IETF'ers tend to disdain "flash mob voting", meaning a flurry of postings from individuals outside the WG core membership, at the behest of the proponent of a particular proposal.  That appears to have been the case here, and explains why postings were sent to the "request" address, rather that the list itself.  However, I don't believe that this form of input is officially distinguished from any other form input under the IETF process.

What's been demonstrated is that there are numerically more supporters of this particular proposal outside the core RADEXT WG (or IETF) than opponents to it inside the core RADEXT WG.  Given that this proposal have been languishing for quite some time, perhaps we need to let it slide.  While I agree that the usage in this proposal not good RADIUS "form", the suggested alternatives all require the specification of a new RADIUS attribute.  That would have been a good path to follow when the reuest was initially presented.

Regards,

Dave

David B. Nelson
Sr. Software Architect
Elbrys Networks, Inc.
www.elbrys.com<http://www.elbrys.com>
+1.603.570.2636

---

From: "Sanchez, Mauricio (HP Networking)" <[email-masked]>
Date: Wed, 13 Jul 2011 19:05:32 +0100

Klaas,
Apologies for my lack of response as I have been taking some time off these last couple of weeks and I've clearly let RADEXT fall through the cracks.  As I stated in my response to Dave, this situation was discussed between the chairs and AD and we all agreed that we could move forward in this particular instance.  Unless guidance differs from the AD, I've taken note that in future discussions we should not be as tolerant of non-standard comments.  

As for the flash mob effect, I've been in IETF long enough to see it happen.  They do happen and will continue to happen. It's the nature of our business.  However, I fully agree with you that crystal clear transparency and timeliness is necessary.   You have my commitment moving forward. 

BTW, the official minutes for IETF 80 RADEXT state that you had no opinion on this IANA request, so at least from the minutes there's no clear indication of your approval or disapproval.  In hindsight, Bernard and I should have done a hum poll or such during the meeting. 

-MS 

-----Original Message-----
From: Klaas Wierenga [mailto:[email-masked]] 
Sent: Monday, July 11, 2011 7:24 AM
To: Dave Nelson
Cc: Romascanu, Dan (Dan); Alan DeKok; Sanchez, Mauricio (HP Networking); [email-masked]
Subject: Re: APPEAL: Re: Conclusion of RADEXT WG call for consensus poll for IANA #409959 NAS-Port-Type value request

Hi Dave,

> It appears to me that the only thing that is in dispute is the process 
> issue of accepting comments not properly received on the RADEXT WG 
> email list, and forwarded to the list as part of the decision 
> announcement.

true, and the unwillingness of the chair to respond to critique and questions...

> voting", meaning a flurry of postings from individuals outside the WG 
> core membership, at the behest of the proponent of a particular 

ehm, I am not so sure about that. The request address is *not* a public address, and as such is different from the radext mailing list or a statement at the IETF meeting. If the chair can at his discretion pull out extra votes (why was my objection for example not noted, after all it is in the minutes of the IETF meeting?)

> What's been demonstrated is that there are numerically more supporters 
> of this particular proposal outside the core RADEXT WG (or
> IETF) than opponents to it inside the core RADEXT WG.  Given that this 
> proposal have been languishing for quite some time, perhaps we need to 
> let it slide.  While I agree that the usage in this proposal not good

I don't mind letting it slide, if you read my earlier message, I just asked Mauricio to in the future refrain from these practises and at the very least forward the messages prior to the close of the call (hey, I might want to organize my own "flash mob" if that is the new style ;-) I was willing to put this on the chairs inexperience, and a simple apology and promise not to use these shady tactics in the future would have made me perfectly happy. Our chair however decided to completely ignore any voices of concern. I find that rather insulting to those that do show up at the meetings and discuss on the mailing list.

Indeed

Klaas

---

From: Klaas Wierenga <[email-masked]>
Date: Wed, 13 Jul 2011 20:12:18 +0200

Mauricio,

Thanks for the clarification and for the assurance that this is a one off occasion.

Klaas

On Jul 13, 2011, at 8:05 PM, "Sanchez, Mauricio (HP Networking)" <[email-masked]> wrote:

> iEYEARECAAYFAk4bB3kACgkQH2Wy/p4XeFK4zgCgjAQfRf1q9EOPRRZouXrUhBQk
> 9zUAoMFJbQuKDvcbVwbBdsOtuZbw8lNi
> =Zvi3

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 14 Jul 2011 07:49:39 +0200

Hi, 

Thanks to all for the opinions and advice. 

Before proceeding I think that it is important to hear also from Alan
who was the first who introduced in the discussion (and subject line of
the thread) the idea of an appeal. Alan, please clarify whether you
intent to continue with a formal and detailed appeal to the WG chairs.
If the answer is yes I would kindly ask that you describes exactly in
your own words what you are appealing and which actions of the WG chairs
would satisfy your concerns. If there is no intention to continue with a
formal appeal this should also be made clear, and the WG can discuss if
everybody is OK with the proposal and commitment of the WG chair
(Mauricio). 

Thanks and Regards,

Dan 

> From: Sanchez, Mauricio (HP Networking)
> [mailto:[email-masked]]
> Sent: Wednesday, July 13, 2011 9:06 PM
> To: Klaas Wierenga; Dave Nelson
> Cc: Romascanu, Dan (Dan); Alan DeKok; [email-masked]
> Subject: RE: APPEAL: Re: Conclusion of RADEXT WG call for consensus
> poll for IANA #409959 NAS-Port-Type value request
> 
> Klaas,
> Apologies for my lack of response as I have been taking some time off
> these last couple of weeks and I've clearly let RADEXT fall through
the
> cracks.  As I stated in my response to Dave, this situation was
> discussed between the chairs and AD and we all agreed that we could
> move forward in this particular instance.  Unless guidance differs
from
> the AD, I've taken note that in future discussions we should not be as
> tolerant of non-standard comments.
> 
> As for the flash mob effect, I've been in IETF long enough to see it
> happen.  They do happen and will continue to happen. It's the nature
of
> our business.  However, I fully agree with you that crystal clear
> transparency and timeliness is necessary.   You have my commitment
> moving forward.
> 
> BTW, the official minutes for IETF 80 RADEXT state that you had no
> opinion on this IANA request, so at least from the minutes there's no
> clear indication of your approval or disapproval.  In hindsight,
> Bernard and I should have done a hum poll or such during the meeting.
> 
> -MS
> 
> 
> 
> 
> 
> 
> Subject: Re: APPEAL: Re: Conclusion of RADEXT WG call for consensus
> poll for IANA #409959 NAS-Port-Type value request
> 
> process
WG
> supporters
> this
> ignore any voices of concern. I find that rather insulting to those
> that do show up at the meetings and discuss on the mailing list.
>

---

From: Alan DeKok <[email-masked]>
Date: Thu, 14 Jul 2011 17:48:31 +0200

> intent to continue with a formal and detailed appeal to the WG chairs.

  I've discussed this with Mauricio privately.  I won't be filing a
formal appeal.

  Alan DeKok.